program RS232;

{ Emission-Reception RS 232 }

uses crt,turbolib,turboftr,rsglob,rsconfig,rsemsrec;

var
    car : char;
    Choix_Menu : TypChoix;
    W   : integer;
    Taille_Mem : longint;
    Fin : boolean;

{--------------------------------------------------------------------------}

procedure Init_Menu;

var
    N : byte;

Begin
     Choix_Menu[1]^ := ' Configuration ';
     Choix_Menu[2]^ := ' Emission ';
     Choix_Menu[3]^ := ' Rception ';
     Choix_Menu[4]^ := ' Chargement ';
     Choix_Menu[5]^ := ' Sauvegarde ';
     Choix_Menu[6]^ := ' Visualisation ';
     Choix_Menu[7]^ := ' Impression ';
     for N := 8 to 10 do Choix_Menu[N]^ := '';
     Fin := false;
End;

{-------------------------------------------------------------------------}

procedure Invalide;

Begin
     tempAlertes :=30;
     CoulTextes := blanc;
     Alerte('Impossible,il n''y a rien en mmoire !!');
     if keypressed then Selection := readkey;
End;

{-------------------------------------------------------------------------}

procedure Menu_General;

Begin
     Fond;
     Message(CTTitre,CFTitre,'  EMISSION / RECEPTION RS232  ',2,false);
     Message(CTTitre,CFTitre,' Version 2.1  du 08/04/94 ',3,false);
     Message(CTMenu,CFMenu,'  Appuyez sur ESC pour sortir  ',21,false);
     gotoxy(4,24);
     write(Nom_Config);
     gotoxy(55,24);
     write('Cration A.JAFFRE 1991');
     CoulFond(CFMenu);
     CoulTexte(CTMenu);
     Resultat := 0;
     if not Choix(30,8,7,10,Resultat,Choix_Menu) then Fin := true
        else
             if Rien_En_Mem then
             Begin
                case Resultat of  1 : Menu_Config;
                                  2 : Invalide;
                                  3 : Reception;
                                  4 : Charger;
                                  5 : Invalide;
                                  6 : Invalide;
                                  7 : Invalide;
                  end;
             End
             else Begin
               case Resultat of  1 : Menu_Config;
                                 2 : Emission;
                                 3 : Reception;
                                 4 : Charger;
                                 5 : Sauvegarder;
                                 6 : Visualiser;
                                 7 : Imprimer;
               end;
             End;
End;

{---------------------------------------------------------------------------}

Begin
     CacheCurseur;
     CoulFond(noir);
     clrscr;
     Taille_Mem := SizeOf(Choix_Menu);
     Taille_Mem := Taille_Mem + SizeOf(Liste);
     Taille_Mem := Taille_Mem + Reste;
     if MemAvail < Taille_Mem then
       Begin
         Pas_Assez_De_Mem;
         exit;
       End;
     for W := 1 to 10 do new(Choix_Menu[W]);
     Init_Liste;
     Init_Menu;
     repeat
           Menu_General;
     until Fin;
     Ferme_Config;
     Vide_Liste;
     for W := 1 to 10 do dispose(Choix_Menu[W]);
     MontreCurseur;
     CoulFond(noir);
     CoulTexte(grisclair);
     clrscr;
End.